import z from 'zod';
import { PayoutBatchLineItemCompositeKey } from './types';
export declare const payoutAmountParser: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
export declare const payoutParamsParser: z.ZodObject<{
    batchId: z.ZodEffects<z.ZodString, import("./types").PayoutBatchKeyBrand, string>;
}, "strip", z.ZodTypeAny, {
    batchId: import("./types").PayoutBatchKeyBrand;
}, {
    batchId: string;
}>;
export declare const withDryParser: z.ZodObject<{
    dry: z.ZodDefault<z.ZodOptional<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    dry: boolean;
}, {
    dry?: boolean | undefined;
}>;
export declare const payoutBatchItemsParser: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, ":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
export declare const payoutBodyParser: z.ZodObject<z.extendShape<{
    items: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, ":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, {
    dry: z.ZodDefault<z.ZodOptional<z.ZodBoolean>>;
}>, "strip", z.ZodTypeAny, {
    items: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", number>>;
    dry: boolean;
}, {
    dry?: boolean | undefined;
    items: Record<string, string | number>;
}>;
export declare const payoutRetryBodyParser: z.ZodObject<z.extendShape<{}, {
    dry: z.ZodDefault<z.ZodOptional<z.ZodBoolean>>;
}>, "strip", z.ZodTypeAny, {
    dry: boolean;
}, {
    dry?: boolean | undefined;
}>;
export declare const payoutResultParser: z.ZodObject<{
    successes: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, ":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", string>, "many">;
    failures: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, ":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", string>, z.ZodString>;
}, "strip", z.ZodTypeAny, {
    successes: (":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL")[];
    failures: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", string>>;
}, {
    successes: string[];
    failures: Record<string, string>;
}>;
export declare const payoutStatusResultParser: z.ZodObject<{
    all: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, ":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
    left: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, ":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, "strip", z.ZodTypeAny, {
    all: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", number>>;
    left: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", number>>;
}, {
    all: Record<string, string | number>;
    left: Record<string, string | number>;
}>;
export declare const payoutQueueQueryParser: z.ZodIntersection<z.ZodObject<{
    status: z.ZodEnum<["all", "pending", "done"]>;
}, "strip", z.ZodTypeAny, {
    status: "done" | "all" | "pending";
}, {
    status: "done" | "all" | "pending";
}>, z.ZodObject<z.extendShape<{
    limit: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, {
    offset: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}>, "strip", z.ZodTypeAny, {
    limit?: number | undefined;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
}>>;
export declare const payoutQueueResultParser: z.ZodObject<{
    items: z.ZodArray<z.ZodObject<{
        status: z.ZodObject<{
            all: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, ":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
            left: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, ":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
        }, "strip", z.ZodTypeAny, {
            all: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", number>>;
            left: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", number>>;
        }, {
            all: Record<string, string | number>;
            left: Record<string, string | number>;
        }>;
        key: z.ZodEffects<z.ZodString, import("./types").PayoutBatchKeyBrand, string>;
        createdAt: z.ZodNumber;
        updatedAt: z.ZodNumber;
        cancelled: z.ZodDefault<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        status: {
            all: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", number>>;
            left: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", number>>;
        };
        key: import("./types").PayoutBatchKeyBrand;
        updatedAt: number;
        createdAt: number;
        cancelled: boolean;
    }, {
        cancelled?: boolean | undefined;
        status: {
            all: Record<string, string | number>;
            left: Record<string, string | number>;
        };
        key: string;
        updatedAt: number;
        createdAt: number;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    items: {
        status: {
            all: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", number>>;
            left: Partial<Record<":paypal:USD" | ":stripe:USD" | ":paypal:EUR" | ":stripe:EUR" | ":paypal:BIF" | ":stripe:BIF" | ":paypal:PYG" | ":stripe:PYG" | ":paypal:CLP" | ":stripe:CLP" | ":paypal:RWF" | ":stripe:RWF" | ":paypal:DJF" | ":stripe:DJF" | ":paypal:UGX" | ":stripe:UGX" | ":paypal:GNF" | ":stripe:GNF" | ":paypal:VND" | ":stripe:VND" | ":paypal:JPY" | ":stripe:JPY" | ":paypal:VUV" | ":stripe:VUV" | ":paypal:KMF" | ":stripe:KMF" | ":paypal:XAF" | ":stripe:XAF" | ":paypal:KRW" | ":stripe:KRW" | ":paypal:XOF" | ":stripe:XOF" | ":paypal:MGA" | ":stripe:MGA" | ":paypal:XPF" | ":stripe:XPF" | ":paypal:HUF" | ":stripe:HUF" | ":paypal:TWD" | ":stripe:TWD" | ":paypal:AED" | ":stripe:AED" | ":paypal:AFN" | ":stripe:AFN" | ":paypal:ALL" | ":stripe:ALL" | ":paypal:AMD" | ":stripe:AMD" | ":paypal:ANG" | ":stripe:ANG" | ":paypal:AOA" | ":stripe:AOA" | ":paypal:ARS" | ":stripe:ARS" | ":paypal:AUD" | ":stripe:AUD" | ":paypal:AWG" | ":stripe:AWG" | ":paypal:AZN" | ":stripe:AZN" | ":paypal:BAM" | ":stripe:BAM" | ":paypal:BBD" | ":stripe:BBD" | ":paypal:BDT" | ":stripe:BDT" | ":paypal:BGN" | ":stripe:BGN" | ":paypal:BHD" | ":stripe:BHD" | ":paypal:BMD" | ":stripe:BMD" | ":paypal:BND" | ":stripe:BND" | ":paypal:BOB" | ":stripe:BOB" | ":paypal:BOV" | ":stripe:BOV" | ":paypal:BRL" | ":stripe:BRL" | ":paypal:BSD" | ":stripe:BSD" | ":paypal:BTN" | ":stripe:BTN" | ":paypal:BWP" | ":stripe:BWP" | ":paypal:BYN" | ":stripe:BYN" | ":paypal:BZD" | ":stripe:BZD" | ":paypal:CAD" | ":stripe:CAD" | ":paypal:CDF" | ":stripe:CDF" | ":paypal:CHE" | ":stripe:CHE" | ":paypal:CHF" | ":stripe:CHF" | ":paypal:CHW" | ":stripe:CHW" | ":paypal:CLF" | ":stripe:CLF" | ":paypal:CNY" | ":stripe:CNY" | ":paypal:COP" | ":stripe:COP" | ":paypal:COU" | ":stripe:COU" | ":paypal:CRC" | ":stripe:CRC" | ":paypal:CUC" | ":stripe:CUC" | ":paypal:CUP" | ":stripe:CUP" | ":paypal:CVE" | ":stripe:CVE" | ":paypal:CZK" | ":stripe:CZK" | ":paypal:DKK" | ":stripe:DKK" | ":paypal:DOP" | ":stripe:DOP" | ":paypal:DZD" | ":stripe:DZD" | ":paypal:EGP" | ":stripe:EGP" | ":paypal:ERN" | ":stripe:ERN" | ":paypal:ETB" | ":stripe:ETB" | ":paypal:FJD" | ":stripe:FJD" | ":paypal:FKP" | ":stripe:FKP" | ":paypal:GBP" | ":stripe:GBP" | ":paypal:GEL" | ":stripe:GEL" | ":paypal:GHS" | ":stripe:GHS" | ":paypal:GIP" | ":stripe:GIP" | ":paypal:GMD" | ":stripe:GMD" | ":paypal:GTQ" | ":stripe:GTQ" | ":paypal:GYD" | ":stripe:GYD" | ":paypal:HKD" | ":stripe:HKD" | ":paypal:HNL" | ":stripe:HNL" | ":paypal:HRK" | ":stripe:HRK" | ":paypal:HTG" | ":stripe:HTG" | ":paypal:IDR" | ":stripe:IDR" | ":paypal:ILS" | ":stripe:ILS" | ":paypal:INR" | ":stripe:INR" | ":paypal:IQD" | ":stripe:IQD" | ":paypal:IRR" | ":stripe:IRR" | ":paypal:ISK" | ":stripe:ISK" | ":paypal:JMD" | ":stripe:JMD" | ":paypal:JOD" | ":stripe:JOD" | ":paypal:KES" | ":stripe:KES" | ":paypal:KGS" | ":stripe:KGS" | ":paypal:KHR" | ":stripe:KHR" | ":paypal:KPW" | ":stripe:KPW" | ":paypal:KWD" | ":stripe:KWD" | ":paypal:KYD" | ":stripe:KYD" | ":paypal:KZT" | ":stripe:KZT" | ":paypal:LAK" | ":stripe:LAK" | ":paypal:LBP" | ":stripe:LBP" | ":paypal:LKR" | ":stripe:LKR" | ":paypal:LRD" | ":stripe:LRD" | ":paypal:LSL" | ":stripe:LSL" | ":paypal:LYD" | ":stripe:LYD" | ":paypal:MAD" | ":stripe:MAD" | ":paypal:MDL" | ":stripe:MDL" | ":paypal:MKD" | ":stripe:MKD" | ":paypal:MMK" | ":stripe:MMK" | ":paypal:MNT" | ":stripe:MNT" | ":paypal:MOP" | ":stripe:MOP" | ":paypal:MRU" | ":stripe:MRU" | ":paypal:MUR" | ":stripe:MUR" | ":paypal:MVR" | ":stripe:MVR" | ":paypal:MWK" | ":stripe:MWK" | ":paypal:MXN" | ":stripe:MXN" | ":paypal:MXV" | ":stripe:MXV" | ":paypal:MYR" | ":stripe:MYR" | ":paypal:MZN" | ":stripe:MZN" | ":paypal:NAD" | ":stripe:NAD" | ":paypal:NGN" | ":stripe:NGN" | ":paypal:NIO" | ":stripe:NIO" | ":paypal:NOK" | ":stripe:NOK" | ":paypal:NPR" | ":stripe:NPR" | ":paypal:NZD" | ":stripe:NZD" | ":paypal:OMR" | ":stripe:OMR" | ":paypal:PAB" | ":stripe:PAB" | ":paypal:PEN" | ":stripe:PEN" | ":paypal:PGK" | ":stripe:PGK" | ":paypal:PHP" | ":stripe:PHP" | ":paypal:PKR" | ":stripe:PKR" | ":paypal:PLN" | ":stripe:PLN" | ":paypal:QAR" | ":stripe:QAR" | ":paypal:RON" | ":stripe:RON" | ":paypal:RSD" | ":stripe:RSD" | ":paypal:RUB" | ":stripe:RUB" | ":paypal:SAR" | ":stripe:SAR" | ":paypal:SBD" | ":stripe:SBD" | ":paypal:SCR" | ":stripe:SCR" | ":paypal:SDG" | ":stripe:SDG" | ":paypal:SEK" | ":stripe:SEK" | ":paypal:SGD" | ":stripe:SGD" | ":paypal:SHP" | ":stripe:SHP" | ":paypal:SLL" | ":stripe:SLL" | ":paypal:SOS" | ":stripe:SOS" | ":paypal:SRD" | ":stripe:SRD" | ":paypal:SSP" | ":stripe:SSP" | ":paypal:STN" | ":stripe:STN" | ":paypal:SVC" | ":stripe:SVC" | ":paypal:SYP" | ":stripe:SYP" | ":paypal:SZL" | ":stripe:SZL" | ":paypal:THB" | ":stripe:THB" | ":paypal:TJS" | ":stripe:TJS" | ":paypal:TMT" | ":stripe:TMT" | ":paypal:TND" | ":stripe:TND" | ":paypal:TOP" | ":stripe:TOP" | ":paypal:TRY" | ":stripe:TRY" | ":paypal:TTD" | ":stripe:TTD" | ":paypal:TZS" | ":stripe:TZS" | ":paypal:UAH" | ":stripe:UAH" | ":paypal:USN" | ":stripe:USN" | ":paypal:UYI" | ":stripe:UYI" | ":paypal:UYU" | ":stripe:UYU" | ":paypal:UYW" | ":stripe:UYW" | ":paypal:UZS" | ":stripe:UZS" | ":paypal:VES" | ":stripe:VES" | ":paypal:WST" | ":stripe:WST" | ":paypal:XAG" | ":stripe:XAG" | ":paypal:XAU" | ":stripe:XAU" | ":paypal:XBA" | ":stripe:XBA" | ":paypal:XBB" | ":stripe:XBB" | ":paypal:XBC" | ":stripe:XBC" | ":paypal:XBD" | ":stripe:XBD" | ":paypal:XCD" | ":stripe:XCD" | ":paypal:XDR" | ":stripe:XDR" | ":paypal:XPD" | ":stripe:XPD" | ":paypal:XPT" | ":stripe:XPT" | ":paypal:XSU" | ":stripe:XSU" | ":paypal:XTS" | ":stripe:XTS" | ":paypal:XUA" | ":stripe:XUA" | ":paypal:XXX" | ":stripe:XXX" | ":paypal:YER" | ":stripe:YER" | ":paypal:ZAR" | ":stripe:ZAR" | ":paypal:ZMW" | ":stripe:ZMW" | ":paypal:ZWL" | ":stripe:ZWL", number>>;
        };
        key: import("./types").PayoutBatchKeyBrand;
        updatedAt: number;
        createdAt: number;
        cancelled: boolean;
    }[];
}, {
    items: {
        cancelled?: boolean | undefined;
        status: {
            all: Record<string, string | number>;
            left: Record<string, string | number>;
        };
        key: string;
        updatedAt: number;
        createdAt: number;
    }[];
}>;
